# Books API . notification

## Instance Methods

Returns notification details for a given notification id.

### Method Details

`get(notification_id, source=None, locale=None)`

    Returns notification details for a given notification id.

    Args:
      notification_id: string, String to identify the notification. (required)
      source: string, String to identify the originator of this request.
      locale: string, ISO-639-1 language and ISO-3166-1 country code. Ex: 'en_US'. Used for generating notification title and body.

    Returns:
      An object of the form:

        {
        "body": "A String",
        "doc_type": "A String",
        "kind": "books#notification", # Resource type.
        "iconUrl": "A String",
        "dont_show_notification": True or False,
        "title": "A String",
        "show_notification_settings_action": True or False,
        "crmExperimentIds": [ # The list of crm experiment ids.
          "A String",
        ],
        "reason": "A String",
        "notificationGroup": "A String",
        "targetUrl": "A String",
        "notification_type": "A String",
        "pcampaign_id": "A String",
        "doc_id": "A String",
      }